Nuns Practicing Misanthropy

    postcss-flex-expand

    1.1.0 • Public • Published

    postcss-flex-expland

    resolve flexibility cannot calculate flex: 1;

    Postcss plugin that explands flex to flex-grow,flex-shrink,flex-basis.

    Install

    # use npm 
    npm install --save-dev postcss-flex-expand

    or

    # use yarn 
    yarn add --save-dev postcss-flex-expand

    Usage

    const postcss = require('postcss');
    const flexExpand = require('postcss-flex-expand');
     
    postcss([
        flexExpand()
    ])
    /* before */
    .flex-item {
        flex: 1;
    }
     
    /* after */
    .flex-item {
        flex-grow: 1;
        flex-shrink: 0;
        flex-basis: auto;
        flex: 1;
    }

    Install

    npm i postcss-flex-expand

    DownloadsWeekly Downloads

    2

    Version

    1.1.0

    License

    ISC

    Unpacked Size

    4.81 kB

    Total Files

    7

    Last publish

    Collaborators

    • lzq4047